package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/6/20.
 * realicing@sina.com
 * {
 * "address": "2",
 * "md5_address": "2",
 * "status": 1,
 * "id": 2,
 * "strong_update": 0,
 * "version_number": 2,
 * "type": 1,
 * "update_time": 1529480619,
 * "create_time": 1529465833
 * }
 */
public class Version {

    private String address;

    private String md5_address;

    private String version_name;

    private String update_content;

    private int status;

    private int id;

    private int strong_update;//是否强更，是：1，否：0

    private int version_number;

    private int type;//类型，正式服：1，测试服：0

    private int update_time;

    private int create_time;

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return this.address;
    }

    public void setMd5_address(String md5_address) {
        this.md5_address = md5_address;
    }

    public String getMd5_address() {
        return this.md5_address;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getStatus() {
        return this.status;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return this.id;
    }

    public void setStrong_update(int strong_update) {
        this.strong_update = strong_update;
    }

    public int getStrong_update() {
        return this.strong_update;
    }

    public void setVersion_number(int version_number) {
        this.version_number = version_number;
    }

    public int getVersion_number() {
        return this.version_number;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getType() {
        return this.type;
    }

    public void setUpdate_time(int update_time) {
        this.update_time = update_time;
    }

    public int getUpdate_time() {
        return this.update_time;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public int getCreate_time() {
        return this.create_time;
    }

    public String getVersion_name() {
        return version_name;
    }

    public void setVersion_name(String version_name) {
        this.version_name = version_name;
    }

    public String getUpdate_content() {
        return update_content;
    }

    public void setUpdate_content(String update_content) {
        this.update_content = update_content;
    }


    /**
     * 是否强更
     *
     * @return
     */
    public boolean isForceUpdate() {
        return strong_update == 1;
    }
}
